ApiArena

Get routine

GET
/arena/suites/{suite_id}/schedule

The routine of a suite, or null when it has none. Includes what its runs cost this month.

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard.

In: header

Path Parameters

suite_id*string

Test suite ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/arena/suites/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedule"
{
  "arena_schedule": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "suite_id": "3e9c08eb-436b-4d4b-9cfe-ca21d8bdb99b",
    "enabled": true,
    "cadence": "daily",
    "weekday": 0,
    "window_start": "string",
    "window_end": "string",
    "timezone": "string",
    "repeats": 0,
    "monthly_budget_eur": 0,
    "spent_this_month_eur": 0,
    "estimated_run_credits": 0,
    "on_config_change": true,
    "on_platform_release": true,
    "webhook_url": "string",
    "notify_email": true,
    "paused_reason": "budget",
    "paused_detail": "string",
    "paused_at": "2019-08-24T14:15:22Z",
    "next_run_at": "2019-08-24T14:15:22Z",
    "last_run_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}